Skip to main content
GET
/
locations
Retrieve a list of locations
curl --request GET \
  --url https://api.retrac.co/locations \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "active": true,
    "createdAt": "<string>",
    "note": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Query Parameters

workspaceId
string
required

The ID of the workspace.

Example:

"ws_cluuwcv0r..."

projectSlug
string
deprecated

The slug of the project. This field is deprecated – use workspaceId instead.

type
enum<string>
Available options:
warehouse,
van,
truck,
site,
other
active
enum<string>
Available options:
true,
false
page
integer
default:1
Required range: x >= 1
pageSize
integer
default:50
Required range: 1 <= x <= 50

Response

A list of locations

id
string
required
name
string
required
type
enum<string>
required
Available options:
warehouse,
van,
truck,
site,
other
active
boolean
required
createdAt
string
required
note
string | null